NNG_STAT_STRING(3)

NAME
nng_stat_string - get statistic string value

SYNOPSIS

    #include <nng/nng.h>

    typedef struct nng_stat nng_stat;

    const char *nng_stat_string(nng_stat *stat);

DESCRIPTION

The nng_stat_string() function returns a string value for the statistic stat, which must be of type NNG_STAT_STRING (see nng_stat_type(3)).

If the statistic is not of type NNG_STAT_STRING, then NULL will be returned.

    Note

    The returned string is valid until nng_stats_free() is called to free the memory for the snapshot.

RETURN VALUES

The string value associated with stat, or NULL if the statistic is not a string type.

ERRORS

None.

SEE ALSO

libnng(3), nng_stats_get(3), nng_stats_type(3), nng_stats_value(3), nng_stat(5), nng(7)